Skip to content

Enrich Person

Return a person's full professional profile from our data lake by any single identifier.

GET /api/v1/person

Returns a person’s full professional profile from our data lake by any single identifier you already have.

Provide one of linkedin_url, username, or id. They are checked in that order.

Request

Parameter Type Required Description
linkedin_url string one of Full LinkedIn profile URL
username string one of Profile slug after /in/ (fastest lookup)
id string one of Kooperativa internal profile ID

Pricing

Code examples

cURLbash
curl "https://kooperativa.io/api/v1/person?username=satyanadella" \
  -H "Authorization: Bearer ik_live_..."
JavaScriptjs
const res = await fetch(
  "https://kooperativa.io/api/v1/person?username=satyanadella",
  { headers: { Authorization: `Bearer ${process.env.KOOPERATIVA_API_KEY}` } }
);
const { data } = await res.json();
Pythonpython
import os, requests

res = requests.get(
    "https://kooperativa.io/api/v1/person",
    params={"username": "satyanadella"},
    headers={"Authorization": f"Bearer {os.environ['KOOPERATIVA_API_KEY']}"},
)
data = res.json()["data"]

Response

{
  "data": {
    "id": "f9413465-c1b9-4129-ab9f-2234caf971b1",
    "full_name": "Satya Nadella",
    "first_name": "Satya",
    "last_name": "Nadella",
    "username": "satyanadella",
    "headline": "Chairman and CEO at Microsoft",
    "current_title": "Chairman and CEO",
    "current_company": "Microsoft",
    "current_company_id": "1035",
    "geo_city": "Redmond, Washington",
    "geo_country_code": "US",
    "linkedin_url": "https://www.linkedin.com/in/satyanadella",
    "is_premium": true,
    "positions": [ "...12 items" ],
    "skills": [ "...40 items" ],
    "fetched_at": "2026-06-21T17:44:00Z"
  }
}

Error responses

Status Error
401 Invalid or missing API key
402 Insufficient credits
404 Profile not found
Navigation

Type to search…

↑↓ navigate↵ selectEsc close